﻿$ErrorActionPreference = 'Stop';

$packageName = 'potplayer'
 
$packageArgs = @{
    packageName    = $packageName
    fileType       = 'exe'       
    url            = 'https://t1.daumcdn.net/potplayer/PotPlayer/Version/Latest/PotPlayerSetup.exe'
    url64bit       = 'https://t1.daumcdn.net/potplayer/PotPlayer/Version/Latest/PotPlayerSetup64.exe'   
    checksum       = '6684FBC0BC9738ADABCAC67A2600ECF11CD9437047E00C86615232E343CE0033'
    checksumType   = 'sha256'
    checksum64     = 'EEEA6BC419EBD829CEE6137848BB5BD71CBC9DCE52145FE3294F09A426FB5662'
    checksumType64 = 'sha256'    
    silentArgs     = '/S'
	validExitCodes = @(0);
}

echo "If an older version of PotPlayer is running on this machine, it will be closed prior to the installation of the newer version."
ps potplayer -ea 0| kill

Install-ChocolateyPackage @packageArgs